repos:

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: end-of-file-fixer
      - id: trailing-whitespace

  - repo: https://github.com/gruntwork-io/pre-commit
    rev: v0.1.26
    hooks:
      - id: helmlint

  - repo: https://github.com/norwoodj/helm-docs
    rev: v1.14.2
    hooks:
      - id: helm-docs
        files: (README\.md\.gotmpl|(Chart|requirements|values)\.yaml)$
        args:
          - -u
          - --skip-version-footer
